QuickCheck-2.7.3: Automatic testing of Haskell programs

Safe Haskell | Trustworthy
Language | Haskell98

Test.QuickCheck.Random

Description

A wrapper around the system random number generator. Internal QuickCheck module.

Synopsis

- newTheGen :: IO TFGen
- bits :: Integral a => a
- doneBit :: Integral a => a
- mask :: Integral a => a
- chip :: Bool -> Word32 -> TFGen -> TFGen
- chop :: Integer -> Integer
- stop :: Integral a => a -> Bool
- mkTheGen :: Int -> TFGen
- newtype QCGen = QCGen TFGen
- newQCGen :: IO QCGen
- mkQCGen :: Int -> QCGen
- bigNatVariant :: Integer -> TFGen -> TFGen
- natVariant :: Integral a => a -> TFGen -> TFGen
- variantTheGen :: Integral a => a -> TFGen -> TFGen
- boolVariant :: Bool -> TFGen -> TFGen
- variantQCGen :: Integral a => a -> QCGen -> QCGen

# Documentation

newTheGen :: IO TFGen

bits :: Integral a => a

doneBit :: Integral a => a

mask :: Integral a => a

chip :: Bool -> Word32 -> TFGen -> TFGen

chop :: Integer -> Integer

stop :: Integral a => a -> Bool

mkTheGen :: Int -> TFGen

newtype QCGen

The "standard" QuickCheck random number generator. A wrapper around either `TFGen` on GHC, or `StdGen` on other Haskell systems.

Constructors

QCGen TFGen |

Instances

Read QCGen |
Show QCGen |
RandomGen QCGen |

newQCGen :: IO QCGen

mkQCGen :: Int -> QCGen

bigNatVariant :: Integer -> TFGen -> TFGen

natVariant :: Integral a => a -> TFGen -> TFGen

variantTheGen :: Integral a => a -> TFGen -> TFGen

boolVariant :: Bool -> TFGen -> TFGen

variantQCGen :: Integral a => a -> QCGen -> QCGen